import numpy as np
import mbuild as mb

class CH2_UA(mb.Compound):
    """ """
    def __init__(self):
        super(CH2_UA, self).__init__()
        self.add(mb.Particle(name='_CP'))

        self.add(mb.Port(anchor=self[0]), 'up')
        mb.translate(self['up'], np.array([0, 0.15, 0]))

        self.add(mb.Port(anchor=self[0]), 'down')
        mb.translate(self['down'], np.array([0, 0.15, 0]))
        mb.rotate_around_z(self['down'], np.pi*2/3)

if __name__ == '__main__':
    ua = CH2_UA()
    ua.visualize()
